## java-common 0.38

=== debian/changelog ===
java-common (0.38) unstable; urgency=low

  * Updated the description of gcj-native-helper and also the
    previous changelog entry to clarify that gcj-native-helper
    is only a partial replacement for default-jdk-builddep.
    
    Please see README.gcj-native-transition in the java-common
    package for more information on the transition.
  * Added missing Replaces/Conflicts for gcj-native-helper.
  * Bumped Standards-Versions to 3.9.0 - no changes required.

 -- Niels Thykier <niels@thykier.net>  Thu, 01 Jul 2010 00:11:38 +0200

java-common (0.37) unstable; urgency=low

  * Updated and synced the Java FAQ.
    - contains a example of how to link with system javadocs.
    (Closes: #577164)
  * Renamed default-jdk-builddep to gcj-native-helper.
    - Note gcj-native-helper is only a partial replacement for
      default-jdk-builddep
  * Removed useless install files and moved the override files
    to a location where dh_lintian finds them.
  * Removed some unused overrides.
  * Updated current list of maintainers in d/copyright
    (based on current list of Uploaders).

 -- Niels Thykier <niels@thykier.net>  Mon, 28 Jun 2010 00:07:15 +0200

java-common (0.36) unstable; urgency=low

  * Correct a ${jdk} that should have been a ${jre} in the decription
    of default-jre. Thanks to Yoshino Yoshihito for spotting it.
    (Closes: #576632)
  * Removed Stefan Gybas from Uploaders (no upload since 2003); thanks
    for your work.
  * Applied patch from Thierry Basque that fixes the --list
    argument for update-java-alternatives. (Closes: #563070)
  * Updated the off-line copy of the Debian Java FAQ.
  * Added sh4 to the list of architectures that support openjdk-6.
    (Closes: #577482)
  * Removed useless commands from debian/rules and removed B-D on
    dpsyco-devel.
  * Policy Changes:
    - Removed section "Java Compilers".
    - Retired the virtual packages java-virtual-machine, java-compiler
      and java2-compiler
    - Relax program installation locations (Closes: #395372)
    - Specified installation location for private program jars.
    - Removed mention of binfmt_misc in favor of jarwrapper.
      (Closes: #227594)

 -- Niels Thykier <niels@thykier.net>  Mon, 19 Apr 2010 09:05:16 +0200

java-common (0.35) unstable; urgency=low

  * Added myself to Uploaders.
  * Added myself to the list of Authors of the Java Policy.
  * Integrated adapted parts of the FOSDEM06 proposal into the Java
    Policy.
    - Java libraries are no longer required to depend on a JVM
    (Closes: #227587, #505166)
  * Updated to java-faq to match the online version.
  * Bumped debhelper compat to 7.
    - Added missing ${misc:Depends}
  * Use the version from the changelog rather than the dir to determine
    the debian "revision" of the default-* packages. It is more robust.
  * Removed old publish rule - the policy is updated automatically after
    upload now.
  * Updated the rules to update the java faq.
  * Converted source to 3.0 (native).
  * Bumped Standards-Version to 3.8.4 - no changes required.
  * Set DM-Upload-Allowed.
  * Removed self suggest in default-jre.
  * Fixed a spelling mistake in README.Debian.
  * Removed Arnaud Vandyck from Uploaders - Thanks for your work on this
    package.

 -- Niels Thykier <niels@thykier.net>  Mon, 05 Apr 2010 18:01:40 +0200
