## java-common 0.40

=== debian/changelog ===
java-common (0.40) unstable; urgency=medium

  [ Niels Thykier ]
  * Make openjdk-6 default on powerpcspe (Closes: #593627).
    - Thanks to Sebastian Andrzej Siewior.

  [ Torsten Werner ]
  * Add an epoch to the arch any packages because we downgrade them from 1.6-*
    to 1.5-* on mips.
    - This fixes the last upload on this architecture.
    - Set urgency to medium.

 -- Torsten Werner <twerner@debian.org>  Mon, 23 Aug 2010 22:01:54 +0200

java-common (0.39) unstable; urgency=low

  * Change default-jdk/jre(-headless) back to gcj on the mips architecture
    because openjdk FTBFS there.

 -- Torsten Werner <twerner@debian.org>  Mon, 09 Aug 2010 21:43:52 +0200
