=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,10 @@
 v_jre		=
 v_jdk		= $(v_jre)
 provides	= java java2 java5
-dversion	= 1.5-$(jrel)
+dversion	= 1:1.5-$(jrel)
 jvmdir		= java-gcj
 
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 armel i386 ia64 lpia mips mipsel powerpc s390 sparc sh4))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 armel i386 ia64 lpia mipsel powerpc powerpcspe s390 sparc sh4))
   p_jre		= openjdk-6-jre
   p_jhl		= openjdk-6-jre-headless
   p_jdk		= openjdk-6-jdk
@@ -33,7 +33,7 @@
   v_jre		= $(S)(>= 6b14)
   v_jdk		= $(v_jre)
   provides	= java java2 java5 java6
-  dversion	= 1.6-$(jrel)
+  dversion	= 1:1.6-$(jrel)
   jvmdir	= java-6-openjdk
 endif
