## java-common 0.40ubuntu1

=== debian/changelog ===
java-common (0.40ubuntu1) natty; urgency=low

  * Default to OpenJDK on ppc64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 20 Nov 2010 16:24:51 +0100
