## java-common 0.42ubuntu2

=== debian/changelog ===
java-common (0.42ubuntu2) oneiric; urgency=low

  * Fix the deault java symlink.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 Sep 2011 13:50:31 +0200

java-common (0.42ubuntu1) oneiric; urgency=low

  * Merge with Debian; remaining changes:
    - Default to OpenJDK on ppc64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 27 Aug 2011 23:51:22 +0200

java-common (0.42) unstable; urgency=low

  * Set jvmdir to java-1.6.0-openjdk for the openjdk-6 default.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Aug 2011 14:21:43 +0200

java-common (0.41) unstable; urgency=low

  * Bumped Standards-Versions to 3.9.1 - no changes required.
  * Removed DMUA  - no longer required.

  [ Sylvestre Ledru ]
  * Under mips, openjdk should be proposed instead of gcj (Closes: #631140)
    Revert of the change introduced in version 0.39
  * Remove outdated information about java in Squeeze (Closes: #617803)

  [ Matthias Klose ]
  * Default to openjdk-6 on s390x. Closes: #638361.
  * Default to openjdk-6 on armhf.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Aug 2011 13:30:55 +0200
