=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 dversion	= 1:1.5-$(jrel)
 jvmdir		= java-gcj
 
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 armel i386 ia64 lpia mipsel powerpc powerpcspe ppc64 s390 sparc sh4))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 armel armhf i386 ia64 lpia mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc sh4))
   p_jre		= openjdk-6-jre
   p_jhl		= openjdk-6-jre-headless
   p_jdk		= openjdk-6-jdk
@@ -35,6 +35,7 @@
   provides	= java java2 java5 java6
   dversion	= 1:1.6-$(jrel)
   jvmdir	= java-6-openjdk
+  #jvmdir	= java-1.6.0-openjdk
 endif
 
 p_doc		= openjdk-6-doc
