## java-common 0.43ubuntu2

=== debian/changelog ===
java-common (0.43ubuntu2) precise; urgency=low

  * java-common: Mark it as Multi-Arch: foreign.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Dec 2011 14:30:11 +0100

java-common (0.43ubuntu1) precise; urgency=low

  * Keep old jvm symlinks in the openjdk-6-jre-headless package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Oct 2011 09:51:33 +0200

java-common (0.43) unstable; urgency=low

  * Depend on the multiarch aware openjdk-6-jre-headless.
  * Default to openjdk-6 on ppc64.
  * update-java-alternatives: Substitute <jname> with <jname>-<arch>.

 -- Matthias Klose <doko@debian.org>  Sun, 28 Aug 2011 18:08:08 +0200
