=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 
 DPKG_VARS := $(shell dpkg-architecture)
 DEB_HOST_ARCH ?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
+DEB_HOST_MULTIARCH ?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)
 
 p_jre		= gcj-jre
 p_jhl		= gcj-jre-headless
@@ -30,12 +31,11 @@
   p_jhl		= openjdk-6-jre-headless
   p_jdk		= openjdk-6-jdk
   jdk_build_dep	= gcj-jdk
-  v_jre		= $(S)(>= 6b14)
+  v_jre		= $(S)(>= 6b23~pre11-1ubuntu1~)
   v_jdk		= $(v_jre)
   provides	= java java2 java5 java6
   dversion	= 1:1.6-$(jrel)
-  jvmdir	= java-6-openjdk
-  #jvmdir	= java-1.6.0-openjdk
+  jvmdir	= java-1.6.0-openjdk$(if $(DEB_HOST_MULTIARCH),-$(DEB_HOST_ARCH))
 endif
 
 p_doc		= openjdk-6-doc
@@ -86,6 +86,11 @@
 	dh_installchangelogs -pdefault-jre-headless
 	dh_link -pdefault-jre-headless \
 		usr/lib/jvm/$(jvmdir) usr/lib/jvm/default-java
+ifneq (,$(DEB_HOST_MULTIARCH))
+	dh_link -pdefault-jre-headless \
+		usr/lib/jvm/$(jvmdir) usr/lib/jvm/java-6-openjdk \
+		usr/lib/jvm/$(jvmdir) usr/lib/jvm/java-1.6.0-openjdk
+endif
 	for p in default-jre-headless default-jre default-jdk gcj-native-helper; do \
 	  [ -z "$$t" ] && t=$$p && continue; \
 	  mkdir -p debian/$$p/usr/share/doc; \
