## java-common 0.43ubuntu3

=== debian/changelog ===
java-common (0.43ubuntu3) quantal; urgency=low

  * Default to OpenJDK 7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Apr 2012 12:07:40 +0200
