=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 Package: java-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: default-jre, equivs
 Description: Base of all Java packages
@@ -41,6 +42,7 @@
 Depends: ${jhl}${jre:version}, java-common, ${misc:Depends}
 Suggests: default-jre
 Provides: ${jhl:provides}
+Replaces: openjdk-6-jre-headless (<< 6b23~pre11-1ubuntu1~)
 Description: Standard Java or Java compatible Runtime (headless)
  This package points to the Java runtime, or Java compatible
  runtime recommended for this architecture, which is
