## java-common 0.43ubuntu4

=== debian/changelog ===
java-common (0.43ubuntu4) raring; urgency=low

  * Drop creation of java-6-openjdk and java-1.6.0-openjdk links in
    default-jre-headless as default is now OpenJDK 7 (LP: #1084954).

 -- James Page <james.page@ubuntu.com>  Fri, 30 Nov 2012 09:35:58 +0000
