=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: java-common
 Section: java
 Priority: optional
-Maintainer: Debian Java Mailing List <debian-java@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Mailing List <debian-java@lists.debian.org>
 Uploaders: Michael Koch <konqueror@gmx.de>, Matthias Klose <doko@debian.org>, Torsten Werner <twerner@debian.org>,
  Niels Thykier <niels@thykier.net>
 Build-Depends: debhelper (>= 7)
