=== debian/rules ===
--- 
+++ 
@@ -86,11 +86,6 @@
 	dh_installchangelogs -pdefault-jre-headless
 	dh_link -pdefault-jre-headless \
 		usr/lib/jvm/$(jvmdir) usr/lib/jvm/default-java
-ifneq (,$(DEB_HOST_MULTIARCH))
-	dh_link -pdefault-jre-headless \
-		usr/lib/jvm/$(jvmdir) usr/lib/jvm/java-6-openjdk \
-		usr/lib/jvm/$(jvmdir) usr/lib/jvm/java-1.6.0-openjdk
-endif
 	for p in default-jre-headless default-jre default-jdk gcj-native-helper; do \
 	  [ -z "$$t" ] && t=$$p && continue; \
 	  mkdir -p debian/$$p/usr/share/doc; \
