## java-common 0.45

=== debian/changelog ===
java-common (0.45) unstable; urgency=low

  * Fixed FTBFS due to build depending on build-indep.

 -- Niels Thykier <niels@thykier.net>  Tue, 22 Nov 2011 07:55:59 +0100

java-common (0.44) unstable; urgency=low

  * Added build-arch target to d/rules.
  * Bumped Standards-Versions to 3.9.2 - no changes required.

 -- Niels Thykier <niels@thykier.net>  Sun, 06 Nov 2011 14:37:45 +0100
