=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: java-common
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Mailing List <debian-java@lists.debian.org>
+Maintainer: Debian Java Mailing List <debian-java@lists.debian.org>
 Uploaders: Michael Koch <konqueror@gmx.de>, Matthias Klose <doko@debian.org>, Torsten Werner <twerner@debian.org>,
  Niels Thykier <niels@thykier.net>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: debiandoc-sgml, docbook-utils, docbook-xml, lynx
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/java-common
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/java-common/
 
 Package: java-common
 Architecture: all
-Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: default-jre, equivs
 Description: Base of all Java packages
@@ -43,7 +41,7 @@
 Depends: ${jhl}${jre:version}, java-common, ${misc:Depends}
 Suggests: default-jre
 Provides: ${jhl:provides}
-Replaces: openjdk-6-jre-headless (<< 6b23~pre11-1ubuntu1~)
+Replaces: openjdk-6-jre-headless (<< 6b23~pre8-2~)
 Description: Standard Java or Java compatible Runtime (headless)
  This package points to the Java runtime, or Java compatible
  runtime recommended for this architecture, which is
