## java-common 0.46

=== debian/changelog ===
java-common (0.46) unstable; urgency=low

  * java-common: Mark it as Multi-Arch: foreign.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Dec 2011 10:57:55 +0100
