=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 Package: java-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: default-jre, equivs
 Description: Base of all Java packages
