## java-common 0.47+deb7u2

=== debian/changelog ===
java-common (0.47+deb7u2) wheezy-security; urgency=high

  * Team upload.
  * Switch default Java environment from OpenJDK 6 to OpenJDK 7 in Wheezy LTS.

 -- Markus Koschany <apo@debian.org>  Sun, 26 Jun 2016 20:40:32 +0200

java-common (0.47+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Make users aware of the upcoming default-java change.

 -- Markus Koschany <apo@debian.org>  Wed, 04 May 2016 14:53:46 +0200
