## java-common 0.48ubuntu2

=== debian/changelog ===
java-common (0.48ubuntu2) saucy; urgency=low

  * Bump the version to 1.7 on AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Oct 2013 20:08:08 +0200

java-common (0.48ubuntu1) saucy; urgency=low

  * Default to openjdk-7 on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Oct 2013 13:53:21 +0200

java-common (0.48) experimental; urgency=low

  * Upload to experimental.
  * Replace java6 with java7 on architectures supporting
    openjdk-7.

 -- Niels Thykier <niels@thykier.net>  Mon, 18 Jun 2012 14:29:24 +0200
