=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 dversion	= 1:1.5-$(jrel)
 jvmdir		= java-gcj
 
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 armel armhf i386 ia64 lpia mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc sh4))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 arm64 armel armhf i386 ia64 lpia mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc sh4))
   p_jre		= openjdk-7-jre
   p_jhl		= openjdk-7-jre-headless
   p_jdk		= openjdk-7-jdk
