## java-common 0.49

=== debian/changelog ===
java-common (0.49) unstable; urgency=low

  [ Sylvestre Ledru ]
  * Team upload.
  * Finalize the upload to switch to OpenJDK 7.
    See http://lists.debian.org/debian-devel-announce/2013/08/msg00000.html
  * Fix empty-binary-package on gcj-native-helper, default-jre & default-jdk
  * Remove local variables in the changelog
  * Update of the Debian Java FAQ (was starting to become obsolete)
  * Update of the Java policy:
    - Recommend default-jre & default-jre-headless for Java libraries
    - Create a section "Building Java packages"
      - Promote default-jdk
      - Advice to use javahelper
      - Recommend maven-debian-helper
    - Remove some deprecated references to java-runtime{1,2}
    - Minor improvements
    - State the license of the policy (Closes: #687841)

  [ tony mancill ]
  * Upload to unstable to make openjdk-7 the default on architectures
    where it is supported.
  * Bump Standards-Version to 3.9.4.
  * Update Vcs-Svn URL.

  [ Matthias Klose ]
  * Don't blindly update to OpenJDK7 on architectures where it is not
    supported or not even built.
  * Provide a /usr/share/java/java_defaults.mk makefile fragment for
    supported java architectures and versions.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 05 Aug 2013 17:18:05 +0200
