=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,11 @@
 dversion	= 1:1.5-$(jrel)
 jvmdir		= java-gcj
 
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 arm64 armel armhf i386 ia64 lpia mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc sh4))
+p_doc		= openjdk-7-doc
+
+include debian/java_defaults.mk
+
+ifneq (,$(filter $(DEB_HOST_ARCH),$(java7_architectures)))
   p_jre		= openjdk-7-jre
   p_jhl		= openjdk-7-jre-headless
   p_jdk		= openjdk-7-jdk
@@ -36,9 +40,18 @@
   provides	= java java2 java5 java6 java7
   dversion	= 1:1.7-$(jrel)
   jvmdir	= java-1.7.0-openjdk$(if $(DEB_HOST_MULTIARCH),-$(DEB_HOST_ARCH))
+else ifneq (,$(filter $(DEB_HOST_ARCH),$(java6_architectures)))
+  p_jre		= openjdk-6-jre
+  p_jhl		= openjdk-6-jre-headless
+  p_jdk		= openjdk-6-jdk
+  jdk_build_dep	= gcj-jdk
+  v_jre		= $(S)(>= 6b23~pre8-2~)
+  v_jdk		= $(v_jre)
+  provides	= java java2 java5 java6
+  dversion	= 1:1.6-$(jrel)
+  jvmdir	= java-1.6.0-openjdk$(if $(DEB_HOST_MULTIARCH),-$(DEB_HOST_ARCH))
+  p_doc		= openjdk-6-doc
 endif
-
-p_doc		= openjdk-7-doc
 
 jre_provides	= $(call mk_cslist,$(provides),runtime)
 jhl_provides	= $(call mk_cslist,$(provides),runtime-headless)
@@ -122,6 +135,8 @@
 	dh_testdir -i
 	dh_testroot -i
 	dh_install -i
+	mkdir -p debian/java-common/usr/share/java
+	cp debian/java_defaults.mk debian/java-common/usr/share/java/.
 	mkdir -p debian/default-jdk-doc/usr/share/doc/default-jre-headless
 	ln -sf ../$(p_doc)/api debian/default-jdk-doc/usr/share/doc/default-jre-headless/api
 	ln -sf ../$(p_doc)/api debian/default-jdk-doc/usr/share/doc/default-jdk-doc/api
