=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  Niels Thykier <niels@thykier.net>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: debiandoc-sgml, docbook-utils, docbook-xml, lynx
-Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/pkg-java/trunk/java-common
+Standards-Version: 3.9.4
+Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/java-common
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/java-common/
 
 Package: java-common
@@ -33,7 +33,7 @@
  ${misc:Depends}
 Provides: ${jre:provides}
 Description: Standard Java or Java compatible Runtime
- This package points to the Java runtime, or Java compatible
+ This dependency package points to the Java runtime, or Java compatible
  runtime recommended for the ${jre:arch} architecture,
  which is ${jre} for ${jre:arch}.
 
@@ -57,7 +57,7 @@
  ${misc:Depends}
 Provides: ${jdk:provides}
 Description: Standard Java or Java compatible Development Kit
- This package points to the Java runtime, or Java compatible
+ This dependency package points to the Java runtime, or Java compatible
  development kit recommended for this architecture, which is
  ${jdk} for ${jre:arch}.
 
@@ -78,7 +78,7 @@
 Conflicts: default-jdk-builddep
 Replaces: default-jdk-builddep
 Description: Standard helper tools for creating gcj native packages
- This package points to the build dependencies used to build
+ This dependency package points to the build dependencies used to build
  gcj native packages.
  .
  Unlike default-jdk-builddep, this package only provides the
