## java-common 0.52~bpo70+1

=== debian/changelog ===
java-common (0.52~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 31 Dec 2014 16:47:29 +0100

java-common (0.52) unstable; urgency=medium

  * Team upload.
  * Use OpenJDK 7 on mips64el (Closes: #747179)
  * Prepared the default values for Java 8
  * Use 'set -e' instead of '#!/bin/sh -e' in debian/java-common.postrm
  * Switch to debhelper level 9
  * debian/control:
    - Standards-Version updated to 3.9.5 (no changes)
    - Use a canonical URL for the Vcs-Svn field
    - Added the Homepage field

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 06 May 2014 11:10:05 +0200
