=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,18 @@
 
 include debian/java_defaults.mk
 
-ifneq (,$(filter $(DEB_HOST_ARCH),$(java7_architectures)))
+ifneq (,$(filter $(DEB_HOST_ARCH),$(java8_architectures)))
+  p_jre         = openjdk-8-jre
+  p_jhl         = openjdk-8-jre-headless
+  p_jdk         = openjdk-8-jdk
+  jdk_build_dep = openjdk-7-jdk
+  v_jre         = $(S)(>= 8~b132-1)
+  v_jdk         = $(v_jre)
+  provides      = java java2 java5 java6 java7 java8
+  dversion      = 2:1.8-$(jrel)
+  jvmdir        = java-1.8.0-openjdk$(if $(DEB_HOST_MULTIARCH),-$(DEB_HOST_ARCH))
+  p_doc         = openjdk-8-doc
+else ifneq (,$(filter $(DEB_HOST_ARCH),$(java7_architectures)))
   p_jre		= openjdk-7-jre
   p_jhl		= openjdk-7-jre-headless
   p_jdk		= openjdk-7-jdk
