## java-common 0.52+deb8u1

=== debian/changelog ===
java-common (0.52+deb8u1) jessie; urgency=medium

  * Switch to Java 8 as default, Java 7 is no longer supported
    in jessie.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 14 Jul 2022 12:58:23 +0200
