=== debian/tests/control ===
Tests: supported-architectures
Depends: @, build-essential
