## java-common 0.52.1

=== debian/changelog ===
java-common (0.52.1) unstable; urgency=medium

  * Team upload.
  * Bump kfreebsd-amd64 kfreebsd-i386 to 1.7 again.
  * java_defaults.mk: Add jvm_archdir and jvm_archpath macros.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Oct 2015 09:40:26 +0200
